package com.sundot.airport.check.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sundot.airport.check.mapper.CheckUserMapper;
import com.sundot.airport.check.domain.CheckUser;
import com.sundot.airport.check.service.ICheckUserService;

/**
 * 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人Service业务层处理
 *
 * @author ruoyi
 * @date 2025-07-11
 */
@Service
public class CheckUserServiceImpl extends ServiceImpl<CheckUserMapper, CheckUser> implements ICheckUserService {
    @Autowired
    private CheckUserMapper checkUserMapper;

    /**
     * 查询检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     *
     * @param id 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人主键
     * @return 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     */
    @Override
    public CheckUser selectCheckUserById(Long id) {
        return checkUserMapper.selectCheckUserById(id);
    }

    /**
     * 查询检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人列表
     *
     * @param checkUser 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     * @return 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     */
    @Override
    public List<CheckUser> selectCheckUserList(CheckUser checkUser) {
        return checkUserMapper.selectCheckUserList(checkUser);
    }

    /**
     * 新增检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     *
     * @param checkUser 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     * @return 结果
     */
    @Override
    public int insertCheckUser(CheckUser checkUser) {
        checkUser.setCreateTime(DateUtils.getNowDate());
        return checkUserMapper.insertCheckUser(checkUser);
    }

    /**
     * 修改检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     *
     * @param checkUser 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     * @return 结果
     */
    @Override
    public int updateCheckUser(CheckUser checkUser) {
        checkUser.setUpdateTime(DateUtils.getNowDate());
        return checkUserMapper.updateCheckUser(checkUser);
    }

    /**
     * 批量删除检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人
     *
     * @param ids 需要删除的检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人主键
     * @return 结果
     */
    @Override
    public int deleteCheckUserByIds(Long[] ids) {
        return checkUserMapper.deleteCheckUserByIds(ids);
    }

    /**
     * 删除检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人信息
     *
     * @param id 检查单检查人员和检查记录责任人和检查记录及问题整改检查项责任人主键
     * @return 结果
     */
    @Override
    public int deleteCheckUserById(Long id) {
        return checkUserMapper.deleteCheckUserById(id);
    }
}
